import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentUncheckedCreateNestedManyWithoutStaffInputObjectSchema as AppointmentUncheckedCreateNestedManyWithoutStaffInputObjectSchema } from './AppointmentUncheckedCreateNestedManyWithoutStaffInput.schema';
import { ClaimUncheckedCreateNestedManyWithoutStaffInputObjectSchema as ClaimUncheckedCreateNestedManyWithoutStaffInputObjectSchema } from './ClaimUncheckedCreateNestedManyWithoutStaffInput.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  name: z.string(),
  email: z.string().optional().nullable(),
  role: z.string(),
  phone: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional(),
  appointments: z.lazy(() => AppointmentUncheckedCreateNestedManyWithoutStaffInputObjectSchema).optional(),
  claims: z.lazy(() => ClaimUncheckedCreateNestedManyWithoutStaffInputObjectSchema).optional()
}).strict();
export const StaffUncheckedCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.StaffUncheckedCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.StaffUncheckedCreateWithoutUserInput>;
export const StaffUncheckedCreateWithoutUserInputObjectZodSchema = makeSchema();
